package com.dgtly.member.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 会员信息对象 member_info
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public class MemberInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 登录账号 */
    @Excel(name = "登录账号")
    private String loginAccount;

    /** 登录密码 */
    @Excel(name = "登录密码")
    private String loginPassword;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 登陆时间 */
    @Excel(name = "登陆时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date loginTime;

    //验证码
    private String validateCode;

    public String getValidateCode() {
        return validateCode;
    }

    public void setValidateCode(String validateCode) {
        this.validateCode = validateCode;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setLoginAccount(String loginAccount) 
    {
        this.loginAccount = loginAccount;
    }

    public String getLoginAccount() 
    {
        return loginAccount;
    }
    public void setLoginPassword(String loginPassword) 
    {
        this.loginPassword = loginPassword;
    }

    public String getLoginPassword() 
    {
        return loginPassword;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setLoginTime(Date loginTime) 
    {
        this.loginTime = loginTime;
    }

    public Date getLoginTime() 
    {
        return loginTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("loginAccount", getLoginAccount())
            .append("loginPassword", getLoginPassword())
            .append("phone", getPhone())
            .append("loginTime", getLoginTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
